# ddoc14778

- `Z14778`

  #### Declaration

  `template `Z14778`(T)`

  docs for Z

  - `E`

    #### Declaration

    `enum `E`;`

    docs for `E`

  - `x`

    #### Declaration

    `enum auto `x`;`

    docs for `x`

  - `mv`

    #### Declaration

    `auto `mv`;`

    docs for `mv`

  - `wv`

    #### Declaration

    `inout `wv`;`

    docs for `wv`

  - `cv`

    #### Declaration

    `const `cv`;`

    doc for `cv`

  - `wcv`

    #### Declaration

    `inout const `wcv`;`

    docs for `wcv`

  - `sv`

    #### Declaration

    `shared `sv`;`

    doc for `sv`

  - `swv`

    #### Declaration

    `shared inout `swv`;`

    doc for `swv`

  - `scv`

    #### Declaration

    `shared const `scv`;`

    doc for `scv`

  - `swcv`

    #### Declaration

    `shared inout const `swcv`;`

    docs for `swcv`

  - `iv`

    #### Declaration

    `immutable `iv`;`

    doc for `iv`